2010-11-04: 5.0.15
==================
Bugfixes
--------

* Not linked to a bug report:

  * base: The shortcut of the partner is translatable
  * XSL Report : title of xsl reports should support accented characters
  * correct safe_eval call in ir.servers.action
  * Import : multiple O2M import corrected
  * fields.property fnct_read corrected
  * do not bind SIGUSR1
  * netsvc.Agent: be nice
  * netsvc.Agent: remove tasks from __tasks_by_db
  * the cron sleep 60 seconds
  * base : INR code and name corrected
  * _read_flat method corrected
  * cron: avoid multiple cron
  * Custom field may not be found on the first go
  * Safe_eval : Added the support of round

* https://launchpad.net/bugs/632388
  * read : if referenced record is not found,read should bypass

* https://launchpad.net/bugs/630088
  * Safe_eval : Allowed the use of filter.

* https://launchpad.net/bugs/633896
  * Safe_eval : Added the support of set(),JUMP_FORWARD,POP_BLOCK,SETUP_LOOP

* https://launchpad.net/bugs/662493
  * Slicing functionality support added to safe_eval()

* https://launchpad.net/bugs/601901
  * Currency :  better handling of context

* https://launchpad.net/bugs/628193
  * Base : Currency rates assigned to Currencies

* https://launchpad.net/bugs/551703
  * base : index added on ir.propery fields

* https://launchpad.net/bugs/613721
  * ir.translation: ensure consistent return type for _get_source()
  * orm: properly handle unicode values returned by ir.translation

* https://launchpad.net/bugs/544437
  * ir_translation Indexes Corrected using hash indexes

* https://launchpad.net/bugs/640493

* https://launchpad.net/bugs/651999
  * Expression : Corrected operator handling for domains containing Many2one fields

* https://launchpad.net/bugs/392114
  * correct config loading

* https://launchpad.net/bugs/644473
  * Export : Corrections for exportation of relational fields

* https://launchpad.net/bugs/645998
  * base : Partner Addresses Menu now being translated

* https://launchpad.net/bugs/603708
  * Fields : correction on get() of O2M

* https://launchpad.net/bugs/519299
  * correct config loading

* https://launchpad.net/bugs/634607
  * Search on property field should not crash,it should go for fnct_search() instead (normal fields.function flow)

* https://launchpad.net/bugs/631810
  * safe_eval() : Added support of len()

* https://launchpad.net/bugs/645813
  * custom report correction acc. to  Safe_eval

* https://launchpad.net/bugs/659021
  * Speed improvement : Call of write() should go when there is vals


Improvements
------------

* dumpthreads on sigquit if py2.5 or bettter
* netsvc.Agent: spawned task threads should not be marked as daemon
* netsvc.Agent: Agent.runner thread should be marked daemon to be terminated at server exit (harmlessly)
* SIGQUIT dumps thread stacks instead of quitting the program (like on the jvm)
* server catch SIGUSR1 and print threads stacks
* use a single thread for crons
* netsvc.Agent: correct docstrings
* netsvc.Agent: add doctrings
* netsvc.Agent: use better variable names
* use a single thread for cron


:: Addons ::
--------------------

Bugfixes
--------

* Not linked to a bug report:

  * Account_followup : Fixed report when partner has no address
  * document: fix server shutdown
  * Account : Correction on closing fiscalyear:journal should be centralizaed and the boolean of skip draft state should be False
  * Account : Typo fix
  * Account/stock : Better context-handling at tax computation to avoid wrong context-passing
  * Account : Added web-client compatibility for field journal_ids on wizard
  * document: correct context use
  * mrp_repair : Bad domain on repair.fee corrected
  * auction : Signature of _type_get() fixed.

* https://launchpad.net/bugs/644364
  * Account : Multi-currency handled

* https://launchpad.net/bugs/635225
  * Point_of_sale : Jourtnal reference should be passed while creating invoice from pos order

* https://launchpad.net/bugs/35220
  * stock :invoice_onshipping wizard take the correct type of invoice

* https://launchpad.net/bugs/638385
  * Stock : Cancelled move lines should not be allowed for Invoice creation

* https://launchpad.net/bugs/609865
  * account : Translations corrected

* https://launchpad.net/bugs/591662

* https://launchpad.net/bugs/629687
  * Project : Recustive creation of tasks should not be allowed

* https://launchpad.net/bugs/599078
  * Account_invoice_layout : Registered xml record for missing report of invoice layout with message

* https://launchpad.net/bugs/540946
  * HR_Holidays : Corrections on Negative holiday request

* https://launchpad.net/bugs/574348
  * Merged Borja's branch for correction on Invoice correctd workflow action of sale order
  * sale: "Invoice Corrected" did not set the order lines as invoiced.

* https://launchpad.net/bugs/635348
  * auction : signature of methods corrected.

* https://launchpad.net/bugs/642095
  * CRM : Report for Business opportunities corrected

* https://launchpad.net/bugs/637893
  * SALE/MRP : sale related fields shifted to SALE from MRP

* https://launchpad.net/bugs/655705
  * Project : Duplication of task should set remaining hours=planned hours

* https://launchpad.net/bugs/635175
  * Account :  Wizard fails to detect whether partial or total reconcile must be used

* https://launchpad.net/bugs/666154
  * Account : Correction on Residual amount calculation on payment by bank statement

* https://launchpad.net/bugs/613063
  * Sale : Progressbar for picking should show accurate result in cases of partial/complete pickings

* https://launchpad.net/bugs/620404
  * account : Account Balance Report structure corrected

* https://launchpad.net/bugs/530822
  * base_contact : Contact Job's Search Corrected

* https://launchpad.net/bugs/646551
  * mrp_repair : Bad reference to a many2one field corrected while creating invoice from repair

* https://launchpad.net/bugs/599087
  * Account : Automatic reonciliation now sorts move lines by maturity date

* https://launchpad.net/bugs/645930
  * Stock : Cancellation of picking should not be broken if it has no moves

* https://launchpad.net/bugs/530984
  * Mrp_operations : copy of stock_move overridden in order to block wrong duplication of procurements and stock moves

* https://launchpad.net/bugs/649030
  * Account_invoice_layout : Payment term with notes displayed on Invoice report

* https://launchpad.net/bugs/599008
  * audittrail: avoid deadlock when installing module making references to ir.model (like document)


Improvements
------------

* sale: Small optimization of the previous "Invoice Corrected" fix.


2010-09-03: 5.0.14
==================

* Fix a bug with current_thread (only exists >= Python 2.6) (patch from Pexego)

2010-09-03: 5.0.13
==================

Bugfixes (server)
-----------------

* Not linked to a bug report:

  * Remove the tools.debug call
  * convert.py: don't use the nocopy flag
  * Use the safe_eval function
  * netsvc: backport of trunk fix: don't marshal none in XMLRPC
  * core: correct fields.related behavior at write()
  * core: raise an usefull exception when trying to inherit from an osv_memory

* https://launchpad.net/bugs/516030
 * Fix: Translation problem with 'Resynchronise Terms' Wizard +source stands with blank value + cache does not get updated with changes on translations

* https://launchpad.net/bugs/594504
  * Corrected the problem of read when field is of type function and many2one and store=True

* https://launchpad.net/bugs/627299
  * msgstr in .pot file must be '' while exporting template translation

* https://launchpad.net/bugs/608029
  * Translation should not fail if lang=False is passed anyhow

* https://launchpad.net/bugs/613924
  * RNG file was missing filters attribute for binary field

* https://launchpad.net/bugs/576987

* https://launchpad.net/bugs/600216
  * Expression : Support for M2O with in,not in operators corrected

* https://launchpad.net/bugs/589083
  * fields.related should not break when o2m,m2m returns null

* https://launchpad.net/bugs/600533
  * read() should never return [] if fields are not empty

Improvements
------------

* Backport the safe_eval function from the trunk version of OpenERP
* Better Logging, display database name in the logger
* Add the @logged decorator also log exceptions
* Add the @traceback decorator that log the traceback at call


Bugfixes (addons)
-----------------

* Not linked to a bug report:

  * Use the safe_eval function instead of the unsafe_eval
  * purchase: Use .get instead of an eval
  * stock: Use the standard price for the price in the wizard of a partial picking
  * stock : Missing translations added
  * l10n_be: fixed duplicated xml_id
  * project_timesheet: casting ids as a list: prevents a crash when delegating a task
  * project_timesheet: don't use a mutable object in function definition ('context')
  * Stock : Return picking wizard improved
  * Improve the calculation of general ledger
  * mrp: Attribute the right destination location
  * mrp_operations: corrected workcenrer line Workflow proceedings

* https://launchpad.net/bugs/591294
  * stock : Manually created stock moves should confirm without fail

* https://launchpad.net/bugs/608573
  * Account ; Unpaid invoices should not include proforma type of invoices

* https://launchpad.net/bugs/611207
  * Stock : Return picking should not allow picking qty <=0

* https://launchpad.net/bugs/367813
  * l10n_be : Vat Listing wizard corrected

* https://launchpad.net/bugs/604542
  * Account_date_check/point_of_sale : Corrections in check_date constraint of move line

* https://launchpad.net/bugs/507389

* https://launchpad.net/bugs/610128
  * crm: fixes send reminder.

* https://launchpad.net/bugs/611243
  * Account : Overdue message wizard corrected

* https://launchpad.net/bugs/604615

* https://launchpad.net/bugs/604529
  * account: added notification on absence of invoice sequence number

* https://launchpad.net/bugs/619864
  * account: Use the right journal and period ids for the General Journal Report

* https://launchpad.net/bugs/616278
  * account : fixed _search_amount() ethod to allow operators like <, >, =, !=, in and not in

* https://launchpad.net/bugs/613767
  * Account : General Ledger report correction

* https://launchpad.net/bugs/511104
  * account: Pay Invoice Wizard in foreign currency

* https://launchpad.net/bugs/607715
  * sale : Included customer reference in advance invoice

* https://launchpad.net/bugs/616258
  * hr_timesheet_sheet : timesheet should only be confirmed when no. of sign in entries equal to sign out

* https://launchpad.net/bugs/514808
  * Account : General Ledger report improved

* https://launchpad.net/bugs/628750
  * Account_followup : Report corrected by putting formatLang for maturity date

* https://launchpad.net/bugs/581754
  * Stock : Chained picking should generate same picking for moves

* https://launchpad.net/bugs/596837

* https://launchpad.net/bugs/587754
  * Account : Partner Balance report filter corrected

* https://launchpad.net/bugs/629048
  * Purchase : Report should show Partner of destination address

* https://launchpad.net/bugs/620907
  * hr_timesheet : Onchange of user was counting changed user into context

* https://launchpad.net/bugs/588657
  * stock : return picking type corrected

* https://launchpad.net/bugs/619775
  * Account : Bank statement should allow opening entries to reconcile disrepcting jornal

* https://launchpad.net/bugs/603608
  * l10n_ch : Correction on making payment with DTA

* https://launchpad.net/bugs/611285
  * purchase : Calculation of minimum planned date should not fail when there is no PO Line.

* https://launchpad.net/bugs/600590
  * account : Read Access for Fiscalyear given to Partner Manager

* https://launchpad.net/bugs/619078
  * mrp_repair : Creation of invoices corrected from repairs with fees

* https://launchpad.net/bugs/596862
  * Sale/Purchase : Cancellation of Order should be allowed by un-linking the Pickings to it

* https://launchpad.net/bugs/623896
  * Sale_crm : Case should be created with the user which is supplied from the wizard,not the current logged in user

* https://launchpad.net/bugs/606960
  * purchase : Translations corrected

* https://launchpad.net/bugs/604535
  * account: sequences in fiscal years should be restricted to the same type.

* https://launchpad.net/bugs/619851
  * l10n_be : Wizard of vat intra corrected

* https://launchpad.net/bugs/618631
  * Report_intrastat : Correction in PSQL View creation

* https://launchpad.net/bugs/625287
  * Wiki : Corrections for history revision differences,_rec_name corrected

* https://launchpad.net/bugs/606958
  * Sale : Correction on advance invoice wizard

* https://launchpad.net/bugs/532532
  * CRM_configuration : Stage should be set to the basic stage of opportunity when leads are converted to opportunity.

* https://launchpad.net/bugs/595839
  * sale : Make Invoice button set to invisible when invoiced.

* https://launchpad.net/bugs/626695
  * MRP : Cancellation of procurement allowed if it has no moves attached

* https://launchpad.net/bugs/620429
  * account : General Journal and Central Journal Reports Corrected & Optimized

* https://launchpad.net/bugs/610198
  * project_retro_planning: currection in write method.

* https://launchpad.net/bugs/619849
  * l10n_be : Vat declaration wizard corrected


Improvements
------------

* stock.move: backport of 6.0 fix: products reservations should be guarded by a row-wise WRITE-LOCK to avoid potential duplicate reservations
* rowheight


2010-07-09: 5.0.12
==================

Bugfixes (server)
-----------------

 * Not linked to a bug report:
   * Compute should work when to_currency is not supplied
   * base.i18n: overdue_msg is not part of base module (second time I'm fixing it)
   * base.i18n: base.pot: follow_up_msg is not part of base module (second time I'm fixing it)
   * base.i18n: follow_up_msg is not part of base module (second time I'm fixing it)
   * server/ir_translation: don't commit when updating translations, to preserve transactions\!
   * report_sxw: provide time module in report context, as documented in tech doc and tech memento
   * orm: correct computation of parent_store for specific cases with duplicate/copy()
   * remove the "No LSB modules are available." error
   * Work on a copy of the local context
 * https://launchpad.net/bugs/597170
 * https://launchpad.net/bugs/516030
   * translations: improved fix for translations and cache. Credits and thanks to Numerigraphe for seeing this!
 * https://launchpad.net/bugs/581137
   * osv: Fix parent_store computation
 * https://launchpad.net/bugs/524424
   * orm: proper recursive copy of translations through one2many relationships during copy()
 * https://launchpad.net/bugs/594496
   * User Preferences : context_get corrected
 * https://launchpad.net/bugs/595758
   * Regression Corrected for single level _inherits.
 * https://launchpad.net/bugs/591710
   * Missing attributes(limit,usage,auto_refresh) added on RNG validation for act_window

Bugfixes (addons)
-----------------

 * Not linked to a bug report:
   * Avoid to copy the default move lines on the stock picking during
   * Pass the fiscal year in the context to use the right sequence if we have defined a fiscal year on the sequence of the account invoice.
   * Redefine the form view for the sequence object with the fiscal years
   * Account : When Payment is done by bank statement with a different currency, amount should be converted to company currency
   * l10n_be, vat periodic declaration: fixed the version of the xsd used in the xsi
   * account: centralize movement fixed
   * account_followup: efficiency problem fixed. The report always timed out when there were lots of unreconciled entries (even if we selected only one partner to followup)
   * l10n_be: vat declaration: the tax code 91 can only be send for the declaration of December
   * analytic account :wrong parameter for query
 * https://launchpad.net/bugs/596893
 * https://launchpad.net/bugs/522941
 * https://launchpad.net/bugs/596940
   * Product packaging sequence was not used for _order
 * https://launchpad.net/bugs/592241
   * sale: test refferd to cash account by name instead of reference
 * https://launchpad.net/bugs/582988
   * Account : Validation of moves should create relavent account analytic entries
 * https://launchpad.net/bugs/590700
   * Report_Analytic_planning : Correcting the report query
 * https://launchpad.net/bugs/602051
   * account_analytic_default, sale : currection in product_id_change method.
 * https://launchpad.net/bugs/593582
   * Account : Aged trial balance report corrected
 * https://launchpad.net/bugs/531507
   * account: fiscalyear closing wizard: entries of account with defferal method=='unreconciled' that are reconciled on a next fiscalyear
 * https://launchpad.net/bugs/594495
   * Account:act_window of invoices from partner corrected
 * https://launchpad.net/bugs/597680
   * Account : Bank statement problem corrected for partial payments
 * https://launchpad.net/bugs/599402
   * Project : Copy() corrected after a regression from SQL Injection fix
 * https://launchpad.net/bugs/595364
 * https://launchpad.net/bugs/591096
   * account: corrected aged partner balance after latest security improvements
 * https://launchpad.net/bugs/602643
   * Product : partner_ref corrected


Improvements
------------

 * account: correct assert typo to make it useful
 * sale,mrp_repair :Minor edit on notification messages.
 * remove junk i18n files




2010-06-07: 5.0.11
==================

Bugfixes (server)
-----------------

 * Not linked to a bug report:
   * [SECURITY] 2010-01-auth: Proper authentication exception
   * [SECURITY] Avoid (potential) sql injections
 * https://launchpad.net/bugs/412911
   * Use the get_python_lib of distutils.
 * https://launchpad.net/bugs/574874
   * NetRPC: Correct socket closing
 * https://launchpad.net/bugs/362280
   * Made search() working for multilevel _inherits

Bugfixes (addons)
-----------------

 * Not linked to a bug report:
   * [SECURITY] Avoid (potential) SQL Injection
   * stock: stray parent leftover in product
   * account: context default value in account.__compute, use None rather than {}
   * base_module_quality: Improve the generated html files
 * https://launchpad.net/bugs/527826
   * Stock : calculation of stock from location corrected
 * https://launchpad.net/bugs/543976
 * https://launchpad.net/bugs/586300
   * Account_invoice_layout :Absence of sequence on defaults may cause sorting problems
 * https://launchpad.net/bugs/447441
   * Sale : Pricelist in default should respect shop
 * https://launchpad.net/bugs/585737
   * Account : Partner ledger report - Correction Account type filtering
 * https://launchpad.net/bugs/579571
   * Account : Refund wizard corrected
 * https://launchpad.net/bugs/582823
   * Stock : Check on production lot corrected for move
 * https://launchpad.net/bugs/585467
   * Report_intrastat : Char field should have size in integer format
 * https://launchpad.net/bugs/588146
   * Account : Wrong calculation for payment date corrected
 * https://launchpad.net/bugs/584931
   * Account_analytic_default : account_get() corrected
 * https://launchpad.net/bugs/578679
   * CRM_Configuration : Domain corrected for planned calls
 * https://launchpad.net/bugs/588746
   * Sale : Corrected query of calculating picking rate

2010-05-05: 5.0.10
==================

Bugfixes (server)
-----------------

 * Not linked to a bug report:
   * Server Actions: Cleaner legend help and error message
   * use of tail text in preprocessor of report engine
   * added support for missing Persian/Farsi (official language in Iran), with backport of the translations from trunk for base module
 * https://launchpad.net/bugs/534769
 * https://launchpad.net/bugs/452854
   * res_currency: revert to correct rounding mechanism
 * https://launchpad.net/bugs/540840
   * Groups if removed, should remove relavent access rights too
 * https://launchpad.net/bugs/558460
   * Add the pixmaps and win32 directories in the MANIFEST to have
 * https://launchpad.net/bugs/559346
   * Copy() of ir_model_fields corected
 * https://launchpad.net/bugs/541545
 * https://launchpad.net/bugs/574394
   * Workflow : print of workflow should not be broken if there is no flow_stop
 * https://launchpad.net/bugs/552386
   * _store_function dictionary should  get updated when field changes its type from function to any other storable
 * https://launchpad.net/bugs/535559
   * Illustration tag beahvior corrected
 * https://launchpad.net/bugs/552457
   * Raise a detailed exception if the record does not exist in the ir_model_data object
 * https://launchpad.net/bugs/513278
   * res_currency: revert to correct rounding mechanism
 * https://launchpad.net/bugs/564926
   * _constraints : Multiple constraints on the same field should be allowed


Improvements (server)
---------------------

 * setup.cfg: Improve the setup of the server


Bugfixes (addons)
-----------------

 * Not linked to a bug report:
   * Remove the bad translation files
   * Rename the oc_OC translation files to oc_FR
   * l10n_be: intracom declaration compliancy with Intervat 5.1.0
   * l10n_be: compliancy of belgian vat declaration with Intervat 5.1.0 (from 05 feb 2010)
   * account: fixed the onchange partner of bank_statement
   * audittrail: context={} -> context=None in method signature
   * audittrail: indentation problems
   * audittrail: wrong class passed to super
 * https://launchpad.net/bugs/515590
 * https://launchpad.net/bugs/552455
   * Account_analytic_default : Invoice creation from SO corected
 * https://launchpad.net/bugs/546004
   * Account : Overdue report corrected
 * https://launchpad.net/bugs/552519
   * account_invoice_layout : Added translation entries
 * https://launchpad.net/bugs/571978
 * https://launchpad.net/bugs/553881
   * Account : Added a link to view unreconciled receivables/payables from Invoices
 * https://launchpad.net/bugs/566185
   * Remove the unused translation files
 * https://launchpad.net/bugs/559478
   * only Grouped field should appear in groupby clause, graph orientation corrected
 * https://launchpad.net/bugs/570652
   * Locations when M2O,should not be among view type
 * https://launchpad.net/bugs/519133
   * Account : Added centralization check on write() of move line
 * https://launchpad.net/bugs/532728
   * sale: UoS qty visible for everyone
 * https://launchpad.net/bugs/559347
   * Purchase : Product_uom_change should respect fiscal position related to product_id_change
 * https://launchpad.net/bugs/570132
   * Account : code improved for move line creation
 * https://launchpad.net/bugs/551522
   * Account : Manual reconcilation should work with the option of Skip Draft Entries of Journal
 * https://launchpad.net/bugs/539408
   * Audittrail : Correction made to avoid crash on configuration wizard
 * https://launchpad.net/bugs/564530
   * Account : Copying bank statement should not copy move lines
 * https://launchpad.net/bugs/568537
   * Account : __compute() optimized a little
 * https://launchpad.net/bugs/461801
 * https://launchpad.net/bugs/568436
   * Purchase : Merge PO should consider fiscal position
 * https://launchpad.net/bugs/552447
   * Account : Tax :If type=code,python_compute has to be mandatory;if applicable_type=python_code,python_appliacble has to be mandatory
 * https://launchpad.net/bugs/561318
   * Account/Document_ICS/MRP_Operations : datetime.datetime.strptime() replaced by mx.DateTime.strptime()
 * https://launchpad.net/bugs/559055
   * account_payment: Remove the duplicated 'bank_id' field in the payment.line tree view
 * https://launchpad.net/bugs/564779
   * Mrp_repair : Corrected make invoice process and Quotation report
 * https://launchpad.net/bugs/557501
   * Account_Voucher : Correction in creating account.move from voucher
 * https://launchpad.net/bugs/519034
   * Sale : progressbar for picking should be set when SO is picked 100%(including its procurement is done)
 * https://launchpad.net/bugs/569036
   * mrp_subproduct : Corrected action_confirm method
 * https://launchpad.net/bugs/562803
   * Membership : Copy() overridden for setting membership lines blank
 * https://launchpad.net/bugs/552503
   * Account : Raising an exception when journal_id is missing
 * https://launchpad.net/bugs/564486
   * Base_report_creator : Export method corrected
 * https://launchpad.net/bugs/532073
 * https://launchpad.net/bugs/489239
   * mrp_operations : starting production order should start work order too.
 * https://launchpad.net/bugs/557373
 * https://launchpad.net/bugs/515507
   * Support for ftp_server_host for setting the FTP interface for DMS server,
 * https://launchpad.net/bugs/535109
   * Account:
 * https://launchpad.net/bugs/399817
 * https://launchpad.net/bugs/452854
   * account: finish fix of generation of account.move.lines from invoice by providing extension hook
   * account: corrected move balance check - rounding correctly based on price_accuracy
 * https://launchpad.net/bugs/570561
   * Account_payment : Import of move line should include the date of search due date
 * https://launchpad.net/bugs/567987
   * Account_analytic_default : Invoice creation from SO corected
 * https://launchpad.net/bugs/563713
   * account_analytic_plans : Minor correction on a method to unlink entries
 * https://launchpad.net/bugs/513278
   * account: corrected move balance check - rounding correctly based on price_accuracy
 * https://launchpad.net/bugs/551570
   * Account_payment : Date will be asked to user while importing payment order into bank statement
 * https://launchpad.net/bugs/550742
   * Account : Refund invoice wizard should have current_date as default


Improvements (addons)
---------------------

 * Add the new version of Swiss Localization:
 * sale: unit tests for bug #461801
 * sale: warning instead of error in some unit tests
 * sale: demo tax account type
 * account: test case for bug #452854
 * account: renamed test
 * sale: minor test  changes
 * Account_followup : Domain improved for an act_window from Partner


2010-04-06: 5.0.9
=================

Bugfixes (server)
-----------------

 * https://launchpad.net/bugs/556634
   * By pass a missing field in the translation


2010-04-02: 5.0.8
=================

Bugfixes (server)
-----------------

 * Not linked to a bug report:
   * res_lang : if value of thousands_sep is not present in language,method will give error- 'moentary' name is not defined [IMP] clear cache of language on write,to be sure to get right value if value of language is changed before cache timeout
   * bin/tools/convert.py: no need to import time since the eval(domain) is probably going to be removed or wrapped in an exception handler
   * sql_db: avoid deadlock when releasing leaked cursors
   * bin/tools/convert.py: reverted revision 2017.1.1: could not eval some strings. Need a dict with uid, active_id, active_ids, ...
   * bin/tools/convert.py: missing time module
   * i18n: fr_FR: missing information
   * In the case we want to generate the RPM package, we change the version
   * DONT pformat() each RPC request !
   * reporting: change the way that para style are computed
   * add cache to res.lang format() function
   * fixed a bug in copy_data: it now copies the original (not translated) field value as the source value
   * disabled "code" server action due to the security threat it poses, added --enable-code-actions command-line flag to enable it
   * only admin can delete ir.property
   * when deleting ir.property, do not delete the linked field
   * correct import rng file
   * 'Partner Manager' group should see the Partner menu
   * removed python-xml from list of debian packages in doc/INSTALL
   * remove ubuntu-related pyxml/python-xml hacks from openerp-server.py as pyxml shouldn't be used anywhere anymore
   * Remove python-xml reference in setup.py
 * https://launchpad.net/bugs/495948
   * Corrected language code for Slovenian and Danish locales. Renamed corresponding PO files.
 * https://launchpad.net/bugs/531430
   * Remove the default values on the --no-netrpc and --no-xmlrpc
 * https://launchpad.net/bugs/538399
   * netrpc: Close the socket if there is a raised exception
 * https://launchpad.net/bugs/532365
   * Document : It should be allowed to browse through FTP,disregard to --no-databse-list option
 * https://launchpad.net/bugs/531026
   * Exploit Broken : Search  should have checked access rights of read
 * https://launchpad.net/bugs/513290
   * Export should honor the current locale(language) settings of the user.
 * https://launchpad.net/bugs/535551
   * Uninstalling a board_* module removes dashboard action, but user shuold be allowed to login with default action
 * https://launchpad.net/bugs/514273
   * Remove the libxml2 and libxslt dependencies for the packaging
 * https://launchpad.net/bugs/314973
   * do not keep connections to template1, template0 and postgres in the connection pool
 * https://launchpad.net/bugs/544087
   * Behaviour of fields.related corrected for copy() and write() calls
 * https://launchpad.net/bugs/551664
   * Evaluate domain in act_window element is now possible
 * https://launchpad.net/bugs/528624
   * Import : Any exception should be raised in well-manner
 * https://launchpad.net/bugs/543521
   * Export : Correction made when selection field value if False.
 * https://launchpad.net/bugs/516568
   * retro-compatibility: 'obj' is available in ir.action.server code
 * https://launchpad.net/bugs/380955
   * setup.py: add the missing librairies for the windows packaging
 * https://launchpad.net/bugs/497364
   * base: respect the limit and offset arguments of the search method


Improvements (server)
---------------------

 * sql_db: improve logging
 * The act_window does not show groups.This adds groups and rearranges the view with a notebook to ensure that the addition of this m2m field doesnt introduce a scroll


Bugfixes (addons)
-----------------

 * Not linked to a bug report:
   * base_contact: res.partner.job: when partner is set, the address is required. Add onchange on partner and on address.
   * membership: bugfix + improved inheritance of membership_state field.function
   * Base_contact : search() of job improved
   * account_payment: added journal_id field in account.move.line.tree view
   * Sale : Fiscal position from SO for invoice should be priorly taken from SO rather than Partner's properties
   * Delivery : Better functional computation of weight based on move
   * sale: move the product_uos_qty and product_uos fields to the
   * event: made wizard of invoice creating more flexible (use onchange) + code refactoring
   * audittrail: Check if the object exists or Not and raise an exception if it's not the case'
   * hr_timesheet_sheet: Add a default value for the context keyword
   * Improved mrp_jit smoke test in case the sale config wizard was run before installing mrp_jit. There is a side-effect but it's only on demo databases, and we'll fix this test in trunk when we can write better tests.
   * account: product_id onchange on invoice lines were returning {} when no product_id was given. This was causing problems in other modules (account_analytic_default, account_analytic_plans) that inherited because of a key error 'value'. It now returns {'value':{}}.
   * l10n_be: adaptation du module de localisation belge conformément à la nouvelle législation TVA pour les services intracom
   * event: invoice creation from registrations
   * purchase: security file update: added rights for manager. Fixed rights for user
 * https://launchpad.net/bugs/524521
   * Account : USer will be notified for unreconciling partial reconcilatins if he tries to cancel the invoice
 * https://launchpad.net/bugs/540128
 * https://launchpad.net/bugs/535098
   * Account : Only those accounts are eligible to be Parents which have type=View
 * https://launchpad.net/bugs/552455
   * Sale : Make Invoice wizard should only create invoice for uninvoiced lines
 * https://launchpad.net/bugs/528889
   * Account : name_search() of account.tax.code overridden for better search
 * https://launchpad.net/bugs/519220
   * Delivery : Proper Weight calculation of stock picking
 * https://launchpad.net/bugs/535058
   * Purchase : Seperate packign should not be created if chained locations are used
 * https://launchpad.net/bugs/545032
   * Stock : Invoice from Stock should respect context for translations.
   * stock: context lost in invoice wizard
 * https://launchpad.net/bugs/530081
   * Sale : Sale order's Invoice should have invoice reference of customer Invoice
 * https://launchpad.net/bugs/545868
   * Sale_crm : proper options set on wizard makesale
 * https://launchpad.net/bugs/467880
   * MRP : stock.warehouse.orderpoint for qty_multiple check of 0
 * https://launchpad.net/bugs/544287
   * Invoice object's Partner onchange had wrong parameter
 * https://launchpad.net/bugs/535655
   * Base_setup : Better display of Currency selection(Name + Code)
 * https://launchpad.net/bugs/532728
   * sale: Remove the product.group_uos group on the product_uos and product_uos_qty fields.
 * https://launchpad.net/bugs/540443
   * Sale : Fiscal position value has to be passed when Invoice is created from SO
 * https://launchpad.net/bugs/532673
   * delivery: replace 'id' with active_id in passing context of order(takes built in function id in webclient).
 * https://launchpad.net/bugs/528871
   * Account : Dupliacting tax code should not copy move lines
 * https://launchpad.net/bugs/539707
 * https://launchpad.net/bugs/514273
   * Base_report_designer : Replaced libxslt/libxsml2 code by lxml
 * https://launchpad.net/bugs/540946
   * Hr_holidays : Constraint corrected for Holidays request(start date cannot be greater than end date)
 * https://launchpad.net/bugs/548494
   * Account : Account should not be removed/deactivated if it is linked to any property/partner
 * https://launchpad.net/bugs/418080
   * Document : Browse__files_using_ftp wizard corrected
 * https://launchpad.net/bugs/541006
   * MRP/Purchase : Seller delay has to be converted into integer for date calculations.
 * https://launchpad.net/bugs/528978
 * https://launchpad.net/bugs/528929
   * Account : Tax code tree view should have company.
 * https://launchpad.net/bugs/552461
   * Scrum : Burndown chart was crashing when a taskwork entry is without date
 * https://launchpad.net/bugs/553168
   * Account : Journal's name_search() did not use context well
 * https://launchpad.net/bugs/494352
   * Sale : account_invoice_end() corrected/optimized so that it does not create any regression of duplicated pickings for SO
 * https://launchpad.net/bugs/531238
   * improved regression tests in sale and mrp_jit modules to test separately auto-chained locations. (bug 531238)
   * mrp: use correct location chaining by calling action_confirm() on stock move instead of directly writing the status (bug 531238).
 * https://launchpad.net/bugs/540151
   * Event : Notify user before sending an email on confirming event
 * https://launchpad.net/bugs/542379
   * Account : Terp file had duplicated author,depends keys
 * https://launchpad.net/bugs/539073
   * account_date_check: If the date of the move line, is not in the
 * https://launchpad.net/bugs/532073
 * https://launchpad.net/bugs/526081
   * MRP : Ondelete=cascade applied to important fields of stock.warehouse.orderpoint
 * https://launchpad.net/bugs/535642
   * Stock : Unlink() of Move corrected
   * Stock :Picking removal should remove moves too
 * https://launchpad.net/bugs/506431
   * Use the file name instead of the content
 * https://launchpad.net/bugs/531638
   * Sale_crm : Code improved for partner onchange to take effect on SO
 * https://launchpad.net/bugs/530926
   * Account : Invoice group was missing access rights for tax and tax code
 * https://launchpad.net/bugs/531416
 * https://launchpad.net/bugs/535601
   * Account : Proper query generation for computing debit.credit,balance
 * https://launchpad.net/bugs/532365
   * Document : It should be allowed to browse through FTP,disregard to --no-databse-list option
 * https://launchpad.net/bugs/399817
   * Sale : Cancelled partial packing should affect Sale order's Shipped field
 * https://launchpad.net/bugs/538064
   * Sale : Translations for RML texts entered into po/pot
 * https://launchpad.net/bugs/531479
   * Stock : drop view check added for stock_report_prodlots
 * https://launchpad.net/bugs/504353
   * Product : Conversion from unmatched categorized UoM now raises exception
 * https://launchpad.net/bugs/532716
   * MRP : Split production wizard corrected
 * https://launchpad.net/bugs/538419


Improvements (addons)
---------------------

 * base_contact: res.partner.address: use domain instead of value in context
 * Stock :Layout for  Moves under Picking Improved
 * Account : Fiscalyear and Period now have name_search
 * Product : Duplicated demo data corrected
 * purchase: moved smoke test into separate test dir and renamed demo data for consistency with sale/mrp smoke tests
 * l10n_be: attribution de nouveaux codes plus explicites pour les taxes
 * Account_voucher : Accounting entries should only be available for non-view accounts
 * Account : Better view of Reconciled and Partially Reconciled entried with Entry Lines
 * Account : Setting tax code name translateable (to be consistent with tax name)


2010-03-01: 5.0.7
=================

Bugfixes (server)
-----------------

 * Not linked to a bug report:
   * --smtp-ssl is not a dependent on the server ssl mode
   * bug:504718
   * orm: ensure the cursor is valid before computing parent_store values
   * correct ustr. avoid a crash if getlocale() return None
   * Fields.function : if store={}/True is removed,column should be dropped with cascaded effect
   * Base.sql : added relation field column to ir_model_feilds
   * Fields : relational field was not getting written to ir_model_fields,in case of one2many
   * allow to create menu executing ir.actions.server
   * orm: bug when browsing _inherits object
   * Search made working for function/related fields with store=True/{...} or fnct_search=method
   * _inherits table may delete the record which is parental to other object but not required.
   * remove the lock on database connections
   * correct threading problems in cache
   * Server Action : Email can be sent with non-English characters now
   * quality_integration_server: if db exits, db should removed on database creation
   * Currency : Rounding improved
   * Importation when fails,needs cursor to be rolled back
   * handle the case of missing "#:" formated comment in po files
   * custom report xml creation
   * better locking when accessing to template1 database
   * remove minidom from report/custom, replace with lxml
   * leftover call to minidom in ps_form even though minidom isn't imported there anymore
   * Remove leftover instances of libxslt and libxml2, replace them by lxml
   * hang in OSX when trying to shutdown server via SIGINT
   * set absolute path for the config file to avoid the save() method breaking on single file, since os.path.exists('') returns false and you can't create the current directory
   * quality_integration_server: fixed problem in make link
   * translation: modify msg id where it contains python code in translations po files
   * use env for python shebang rather than hardcoding /usr/bin/python
   * base: wrong fr_FR translation for 'Delete Permission'
   * db_exist method works as expected
   * quality_integration_server : fixed bug on make link
   * quality_integration_server: wrong web-service name
   * Upgrade could have failed when its a change in name field,added cascade
   * Expression : Making search easier for 'child_of'- Recursivity on field used as a Left operand
   * solve problem of importing data from csv with constraints available on object
   * act_window False domain problem - produce after dom to lxml conversion
   * On update, fields with only numeric/int/float could have digits
   * On Update, if only the size of column is changed,it should reflect into DB
   * quality_integration_server : fixed problem in integration server on translation checking if translation file is changed on base module
   * Avoid crash when no args
   * Config : wrong calculation if cached_timeout comes from config file
   * Expression : domain calculation failes, max. recursion error protected
   * recursive calls
   * allow to call write without ids on osv_memory objects
   * Specify the name of the argument for the context, to avoir a critical bug
   * <seq> problem Report Engine
   * Workflow button desactivation regarding user roles
   * Improved Previous bad commit for pagelayout error
   * Import : Context of the action/screen passed,taken into consideration while importing
   * quality_integration_server: ascci encoding problem in quality html log
   * recursive child_of on one2many and many2many
   * default context
 * https://launchpad.net/bugs/463415
 * https://launchpad.net/bugs/525962
   * Ir_model : Made an offensive check of context
 * https://launchpad.net/bugs/430133
   * Name_search() is having now record limit to be 80 instead of None
 * https://launchpad.net/bugs/407667
   * Allowed SQL reserved keywords to be used in _order,group by ,etc.[Make sure , your _order should look like _order='to' instead of to]
 * https://launchpad.net/bugs/495636
   * Warning for reports for header attributes used in .py
 * https://launchpad.net/bugs/523071
   * Default_get : fields of _inherits for default values should be considered
 * https://launchpad.net/bugs/493548
   * Ir_actions : Unicode error corrected
 * https://launchpad.net/bugs/409354
   * Browse with _inherits issue fixed  if more than one M2O to parent objct exists
 * https://launchpad.net/bugs/430805
   * Import made successful when field is O2M and it has relation under that.
 * https://launchpad.net/bugs/462506
   * Priority on fields.function with store dictionary made working.
 * https://launchpad.net/bugs/483527
 * https://launchpad.net/bugs/373176
   * Behavior of server corrected if addons-path is wrong
 * https://launchpad.net/bugs/489355
   * fields: '_fnct_write' should pass context object to the 'write' method
 * https://launchpad.net/bugs/491867
   * revert bad fix
   * fields.related were misbehaving
 * https://launchpad.net/bugs/433886
   * Update Module : Float8 to float and numeric to float casting made possible
 * https://launchpad.net/bugs/410191
   * Record rule : domain evaluation problem corrected
 * https://launchpad.net/bugs/519468
   * Fields : Only one2many fields can have relation_field,avoid checks for others
 * https://launchpad.net/bugs/523971
   * Missing imports of _ of tools.translate provided
 * https://launchpad.net/bugs/500571
   * Record Rules : domain_force made working
 * https://launchpad.net/bugs/519204
   * Base : Country can be searched on Country codes independent to case
 * https://launchpad.net/bugs/493545
   * Allowed <notebook> to be added into an inherited view(under field)
 * https://launchpad.net/bugs/456978
   * O2M should check existing relations for its concerned M2O
 * https://launchpad.net/bugs/522227
   * Fixed error notification on parent_store=true with a column without ondelete=cascade
 * https://launchpad.net/bugs/516030
   * Export translations + Cache on translations + Resynchronization wizard Corrections
 * https://launchpad.net/bugs/430728
   * Allowing sql keywords as fields(don't use them in order by clause)
 * https://launchpad.net/bugs/480782
 * https://launchpad.net/bugs/524588
   * translate: error with workaround about \xa0 in decimal_point and thousands_sep
 * https://launchpad.net/bugs/453269
   * Amount_To_Text Corrected
   * Amount to text conversions made better
 * https://launchpad.net/bugs/490604
   * RAW reports creation corrected
 * https://launchpad.net/bugs/425350
   * Menu attribute to report/wizard/url made behaving correctly
 * https://launchpad.net/bugs/504584
 * https://launchpad.net/bugs/495948
   * Corrected language code for Slovenian and Danish locales. Renamed corresponding PO files.
 * https://launchpad.net/bugs/480301
   * M2M : values filtering on set()
 * https://launchpad.net/bugs/503278
   * Search : searching translated fields made possible(related,one2many,many2many)
 * https://launchpad.net/bugs/504243
 * https://launchpad.net/bugs/490125
   * Custom fields should be removed from _columns too
 * https://launchpad.net/bugs/490337
   * Corrections made when removing a module and updating the module database:                                                                    Entry from ir_model_data should also be removed when moudle is removed
 * https://launchpad.net/bugs/496433
   * Server Action: Help message of Legend corrected
 * https://launchpad.net/bugs/417023
   * Installation should alert user if any no pool record found for M2M/M2O.
 * https://launchpad.net/bugs/493657
   * Custom fields won't disturb anything while updating server
 * https://launchpad.net/bugs/435933
   * Encoding error corrected for client_action(ir_values-tree view)
 * https://launchpad.net/bugs/514231
   * M2O : Unfair behavior of M2O for access denial records and normal ones(All records were hidden by access denied if one had failed to meet access rights).
 * https://launchpad.net/bugs/499501
   * Report : Proper Message notification when RML file is not found
 * https://launchpad.net/bugs/523762
   * Expression.py corrected when M2O search returns no IDs
 * https://launchpad.net/bugs/420507
   * Domain was getting failed when trying to work upon M2M,O2M field of object
 * https://launchpad.net/bugs/523123
   * Not allowing Duplicate shortcuts
 * https://launchpad.net/bugs/516469
   * Wizard should raise exception to user when writte inside 'choice' type
 * https://launchpad.net/bugs/488234
   * connection pool when database password is provided (thanks to Syleam Crew)
 * https://launchpad.net/bugs/491365
   * Translation: Error parsing .po files when application puts comments in a single line
 * https://launchpad.net/bugs/433395
 * https://launchpad.net/bugs/462285
   * Remove the useless cr.commit() in the get_id() method of the ir.sequence object
 * https://launchpad.net/bugs/356628
   * allow related fields to point to one2many and many2many fields
 * https://launchpad.net/bugs/460560
   * Ir_attachment : Context updation corrected on preview
 * https://launchpad.net/bugs/437729
   * Export Translation : Warning on Non-existing record instead of breaking flow
 * https://launchpad.net/bugs/503445
   * Partner : Name_get() of res.partner.address corrected
 * https://launchpad.net/bugs/445252
   * Translation was not getting inserted to DB on write()
 * https://launchpad.net/bugs/497364
   * revert previous patch about linked bug (lp:497364)
   * Menu : Search method corrected for the non-Admin user
 * https://launchpad.net/bugs/434341
   * Export : Selection field gets imported by its external name  if export is not import compatible
 * https://launchpad.net/bugs/489573
   * Manual object and field creation with searchable
 * https://launchpad.net/bugs/520854
 * https://launchpad.net/bugs/449516
   * Warning raised for server action with SMS facility
 * https://launchpad.net/bugs/519699
   * Export translations: module name from path calculations corrected
 * https://launchpad.net/bugs/516965
   * User / Preferences should always display translatable languages.
 * https://launchpad.net/bugs/516964
   * default_FIELD from context should not overwrite modified FIELD value while creating record
 * https://launchpad.net/bugs/516044
   * Graph : report corrected
 * https://launchpad.net/bugs/516962
   * modifying a cron from client make it run concurrently multiple times
 * https://launchpad.net/bugs/447819
   * Ir_values : reading of default values correted
 * https://launchpad.net/bugs/510600
   * Import should raise an uncaught exception if not identified
 * https://launchpad.net/bugs/413121
   * Related with O2M behavior corrected
 * https://launchpad.net/bugs/487836
   * Custom Object xml arch needed encoding.
 * https://launchpad.net/bugs/516969
 * https://launchpad.net/bugs/487723
   * Module informtion was not getting updated on upgrading module
 * https://launchpad.net/bugs/372747
   * Disable the cache for the ir.rules
 * https://launchpad.net/bugs/478724
   * Export : M2M field name was missing last character
 * https://launchpad.net/bugs/497423
   * FormatLang : Dates if specified into String,will be formatted into language-specific format
 * https://launchpad.net/bugs/429519
 * https://launchpad.net/bugs/479915
   * Added lxml as required module on setup
 * https://launchpad.net/bugs/495374
   * Partner : titlee can have a choice to be null
 * https://launchpad.net/bugs/509629
   * Expression : Domain calculation of M2M/O2M corrected
 * https://launchpad.net/bugs/504720
 * https://launchpad.net/bugs/516568
   * Server Actions: evaluating dict corrected
 * https://launchpad.net/bugs/512682
   * avoid sql injection in sequences
 * https://launchpad.net/bugs/400614
   * Use an alternative for the locale.RADIXCHAR if this one doesn't exist
 * https://launchpad.net/bugs/491462
   * Pickling issue solved with ir_values (get method)
 * https://launchpad.net/bugs/507429
   * Encoding problm corrected on report contents
   * If RML contains unicode characters and title in the same <para>,it would have failed.


Improvements (server)
---------------------

 * orm: allow import and record creation to defer the computation of parent_left/right
 * orm: do not update parent_left/right if the parent haven't been changed
 * Licensing options : Added AGPL-3 and others in choices
 * Groups : Better duplication terminology.
 * sql_db: better logging
 * osv: log (in debug) access errors
 * web_service: remove log (debug) when creating database
 * exported method check_connectivity
 * Sequence : Legend improved to help user understand the usage of %(year)s
 * remove useless comment
 * Launchpad export translation files
 * removal of usages of the deprecated node.getchildren call, better usage of the attributes & tostring ET APIs, style fixes
 * improve usage of the ET API, use SubElement instead of Element/append, kwarg attributes setting instead of node.set
 * add option to disable the database listing
 * quality_integration_server: added net_port option in script
 * better connection pool (global)
 * ir_cron : added active feild on list view
 * Allow to specify the view via the context
 * cron: check the arguments to avoid security issues
 * cron: failed jobs are logged
 * cron: clean code
 * base_quality_interrrogation: put message if the score of quality less then minimal and remove unit test condition
 * quality_integration_server: quality log : add new option to specify qualitylog path to store html pages of log
 * default value for module
 * updated changelog file for 5.0.6 release


Bugfixes (addons)
-----------------

 * Not linked to a bug report:
   * event: make invoice wizard now creates invoice line with better label
   * membership:
   * Sale : Onchange of product/qty corrected when uos is present.Product: Help corrected for uom to uos conversion.
   * Remove the bad translation files
   * membership: membership amount field corect name of digits in field defination
   * audittrail: correct dependencies
   * audittrail: ensure cursor is closed
   * invoice: translate the product description only if partner's language is set.
   * account: avoid a traceback if credit/debit/balance sum can be computed
   * mrp: fixed demo data when default_code is overridded in a custom module
   * crm: removed debugging code
   * document: fixed problem on window on filezilla
   * sale_crm: CRM->Opportunities: 'convert to quote' now sets the salesman from the partner (or the user if there is none)
   * sale: onchange on partner_id now set the partner's dedicated salesman as the sale salesman or the user if there is no dedicated salesman on that partner
   * base_contact: search for a contact in a contact job now searches in firstname and lastname
   * product: pricelist: ondelete cascade to avoid errors when deleting pricelists and versions ('null value in column "price_version_id" violates not-null constraint')
   * sale_delivery_report: production lot reference was missing
   * sale: onchange on partner_id now set the partner's dedicated salesman as the sale salesman
   * sale_delivery_report: typo in french translation file
   * Analytic_user_function : Corrected the  Wrong way call to the  method of product.uom
   * base_contact: search in "Contact's Jobs" now also search in firstname and lastname of contacts
   * Base_report_creator : ilike query generation problem corrected
   * account: At the time of invoice cancel it will remove partial reconcile id from entry
   * Account: Bank statement line,if has write-off entries,should pass write off account to move line
   * account: set correct journal while opening customer and supplier invoices and refunds
   * fix a prolem for the wiki content for the indexing
   * product: Now pricelist objects price get function will pass context to price_get method of product and compute method of currency object
   * base_module_quality: add import statment for _ and give size to name field on save report wizard so that it can display long name also
   * Account : Wrong residual amount comes if company currency and invoice currency are different(provided no currency defined on journal)
   * account: wizard of fiscal year closing fixed: the entries of all previous fiscal years have to be deffered, not only the last one
   * l10n_be: fixed data of l10n_be module
   * Analytic account report corrected
   * Account_Voucher : Reports corrected
   * Sale_CRM : write() was sending wrong data
   * MRP : Accounting Entries were duplicated when processing production order with accounting configuration for locations.
   * base_contact: domain problem on job object
   * project: extra info tab of task view shouldn't be readonly if the task'state is 'draft'
   * account_followup: the followup level of a partner which was removed from the proposed partner to remind was still raised although we didn't select him.
   * change class names for all model in voucher from Account = account_account
   * Base_report_creator : Wizard is available only for custom query,not for the custom result
   * Point_of_sale : Receipt report corrected
   * Account_tax_include : improvements when invoice lines are created prior to invoice
   * Account_tax_include : Minor modif
   * account_analytic_plans: analytic distribution are now created on invoice line when confirming sale orders (if a line is matching account analytic default rule)
   * account: partial reconciliation check was wrongly computed
   * base_module_quality: get_ids method problem
   * account: no need to do a call to 'translate', method '_' is sufficient.
   * base_module_quality: solve translate string error
   * Stock: Moves have no state 'auto',its 'waiting'
   * base_module_record second range problem when second is 59
   * Project_timesheet : Removal of task with task work should affect Analytic lines
   * Track Incoming / Outgoing products:
   * account_analytic_default: add stock dependancy
   * removed print statement
   * picked in SO
   * Project : remove unused import causing a DeprecationWarning under Python 2.6
   * l10n_be: corrected internal type of vat account in l10n_be: set other instead of payable/receivable
   * Hr_timesheet_sheet : setting type=workflow to 2 buttons
   * Account: text made translatable
   * fix the problem of menus uring installation
   * Regression in SO from Jeroen and Jay, picked state see bug #491375
   * Stock : Added Product UoS to the Stock Move view
   * Base_contact : Making Email field of address visible on Address form view
   * Stock : Added translations
   * Account_invoice_layout : Reports improved and SXWs made compatible to RML
   * membership: invoice membership wizard now calculate tax corectly and on product membership fields make readonly to false
   * membership: change membership product date from and date to value with current year on demo data
   * membership: solve problem of deleting membership invoice created with old membership product
   * Account: Wizards were missing translation import statement
   * Residual amount into invoice is now correct in every case and avoid rounding trouble even if rating has changed
   * account: avoid translate tool missing import on strictier Python 2.6 versions; bare in mind that mx.Datetime should be eraticated from the surface of the earth
   * account: removed pdb now that things are claimed fixed (after the commits messages)
   * account_analytic_plans: Use etree instead of xml.dom
   * fix the problem that appers in to the account move due to accout voucher
   * Account_date_check : correction on a method
   * Account_voucher : Typo corrected for Voucher type.
   * Account : Corrected the malformed report of Partner Ledger
   * purchase_manual: Import OSV
   * python2.6 compatibility
   * AuditTrail : View Logs should only show logs of current object and resources
   * fix the problem of the reports account voucher
   * #TODO: fix me sale module can not be used here,
   * Import OSV in the wizard
   * purchase: Use the price_accuracy
   * Base_Report_Creator : xml record was malformed, corrected
   * hr_expense: corrected error message
   * account: avoid ZeroDivisionError
   * Specify the name of the argument for the context, to avoir a critical bug
   * CRM : Mailgate script added option -he was conflicting,improved
   * Account :Invoice report had Partner name displayed at wrong position
   * bugfix residual computation and multi-currencies
   * Base_report_creator : Calendar view problems on custom report
   * typo
   * workcenter load graph
   * set the access right
   * base_module_quality: speed test if read method has exception
   * account_analytic_plans: avoid encoding errors
 * https://launchpad.net/bugs/528289
   * membership: printing report crashes on graph view
 * https://launchpad.net/bugs/522696
   * Stock : Split moves wizard should respect current language
 * https://launchpad.net/bugs/528281
   * membership: membership state not correctly updated with associated partner
 * https://launchpad.net/bugs/524425
 * https://launchpad.net/bugs/416810
   * Document: attachment linked with Files
 * https://launchpad.net/bugs/470359
 * https://launchpad.net/bugs/438725
   * Purchase : Setting the value of payment term while creatying invoice from PO
 * https://launchpad.net/bugs/492793
   * Project_gtd : Improved fields_view_get() andmade it compatible to stable
 * https://launchpad.net/bugs/525314
   * membership: membership date from and to required now on product form
 * https://launchpad.net/bugs/453030
   * Avoid display write-off in pay invoice wizard : take care of partial payment
   * Avoid display write-off in pay invoice wizard. Put the right date and currency for conversion
 * https://launchpad.net/bugs/448591
   * Account : Refund wizard wasnt calculating taxes for new invoices
 * https://launchpad.net/bugs/489241
   * mrp_operations : work order calculation corrected
 * https://launchpad.net/bugs/493704
   * Small stock tracking problem
 * https://launchpad.net/bugs/518914
   * Unable to validate supplier invoice/refund with reference greater than 32 characters. The reference is used as reference for the move lines and the analytic account line but the reference of these objects are limited to 32 characters, raising an sql error. It also broke the workflow of the invoice.
 * https://launchpad.net/bugs/481130
   * Stock: Shipping Address has to be in.po/.pot
 * https://launchpad.net/bugs/427869
   * Residual amount in invoice when currency rating change
 * https://launchpad.net/bugs/474337
   * [CRITICAL] warning : missing import statement for "_"
 * https://launchpad.net/bugs/513983
   * Sale : Order lines should be not editable for non-draft SO.
 * https://launchpad.net/bugs/433898
   * fix a problem Point of sale create outgoing shipments incl. service items
 * https://launchpad.net/bugs/516746
   * Account : Bank statements should not be altered/removed when state is confirmed
 * https://launchpad.net/bugs/445267
   * Mrp_subproduct : Wrong calculation of QTYs corrected(Product qty,UOS qty)
 * https://launchpad.net/bugs/496889
   * Account : wizard_pay_invoice corrected (Check made to calculate only receivable,payable lines)
   * Account: Better calculation of invoice amount
 * https://launchpad.net/bugs/428926
   * account_payment when importing payment lines (currency not set correctly)
 * https://launchpad.net/bugs/502984
   * Hr_holidays: leaves' calculation corrected on removal of leaves
 * https://launchpad.net/bugs/434628
   * Account : In bank statements,Move Lines should be imported only once
 * https://launchpad.net/bugs/503741
   * Purchase : Purchase/user was missing account.tax access rights
 * https://launchpad.net/bugs/457188
   * Account_analytic_analysis : Summary of Months calculation Corrected
 * https://launchpad.net/bugs/528292
   * membership: membership cancel date is not updated
 * https://launchpad.net/bugs/351083
   * Account : Partner Balance report gets printed with respect to the company selected
 * https://launchpad.net/bugs/497365
   * Account : Supplier Invoices new record creation corrected for web client
 * https://launchpad.net/bugs/435298
   * Subscription : Disallowed to change the Object linked to the document type.
 * https://launchpad.net/bugs/490883
   * MRP: Proper context value passed for PO creation from packing via SO
 * https://launchpad.net/bugs/479886
   * Account : Total field on supplier invoice set to 0.0 to amke it Web-client compatible
 * https://launchpad.net/bugs/398562
   * MRP : Accounting Entries were duplicated when processing production order with accounting configuration for locations.
 * https://launchpad.net/bugs/445547
   * Stock: Picking report correction
 * https://launchpad.net/bugs/507694
   * Properly cancel a draft purchase.order when unlinking it, so correct workflow signals can be propagated to parent workflows if there are any.
 * https://launchpad.net/bugs/460924
   * Stock : force_assign won't create duplicate entries
 * https://launchpad.net/bugs/516100
   * Account : Invoice line should display complete name of product from the onchange
   * Stock : Onchange corrected to have an effect of translations
 * https://launchpad.net/bugs/492174
   * Base_report_creator : encoding eror corrected on adding filters
 * https://launchpad.net/bugs/446205
   * CRM : Mailgate script has host as parameter now onwards
 * https://launchpad.net/bugs/501625
   * Account : General Ledger report in Landscape made transltable
 * https://launchpad.net/bugs/440557
   * Purchase : POL had a wrong tree view which is unused till now
 * https://launchpad.net/bugs/452854
   * Correct the validate function for balanced move into account.py (after Fabien Warning)
   * Use price_accuracy to verify balanced entry insteed of fixed '0,0001'. Add price_accuracy on debit and credit move lines
 * https://launchpad.net/bugs/522532
   * Stock : Priority assigned to stock.location list view
 * https://launchpad.net/bugs/522629
 * https://launchpad.net/bugs/480035
   * CRM : action name improved
 * https://launchpad.net/bugs/439469
   * Product : Pricelist types getting translated on Pricelist
 * https://launchpad.net/bugs/512682
   * avoid sql injection in sequences
 * https://launchpad.net/bugs/476343
 * https://launchpad.net/bugs/447402
   * Project_timesheet : Wrong synchro on analytic line creation fro tasks(for name).
 * https://launchpad.net/bugs/490318
   * Account : Ondelete=cascade added to bank statement line
 * https://launchpad.net/bugs/459027
   * Sale : SOL's subtotal was missign price-accuracy
 * https://launchpad.net/bugs/509496
   * Account_tax_include : Refund of invioce was not counting price_type.
 * https://launchpad.net/bugs/366944
   * Base_vat : Spanish numbers validation corrected
 * https://launchpad.net/bugs/488869
   * Stock/MRP : Track line wizard improved
 * https://launchpad.net/bugs/474340
   * Stock : Wizard improvements from Lionel
 * https://launchpad.net/bugs/445306
   * document: put warning message in module descrition regarding lost files which are exits before installing document
 * https://launchpad.net/bugs/491867
   * base_contact: fix bad related field
 * https://launchpad.net/bugs/481524
   * Stock : Forecast report: unicode error corrected
 * https://launchpad.net/bugs/493369
   * Hr_attendance : Sign out entries were not possible when we 'change work'
 * https://launchpad.net/bugs/438705
   * Stock : Stock move lines on Production Order well-structured
 * https://launchpad.net/bugs/500096
   * Base_report_creator : Support of count(*) added
 * https://launchpad.net/bugs/521106
   * Account : Analytic charts of accounts was raising exception on displaying chart
 * https://launchpad.net/bugs/464578
   * project_timesheet: analytic entries are fully not updated, when changing task project
 * https://launchpad.net/bugs/483583
   * Sale/Purcghase : Function fields did not have digits attribute for precision accuracy
 * https://launchpad.net/bugs/461720
   * Scrum : Wrong view,widgetless fields on scrum view made correct
 * https://launchpad.net/bugs/491898
   * Purchase : Fields set readonly on done state
 * https://launchpad.net/bugs/480856
   * Warning : the super of onchange may return {},covered the same
 * https://launchpad.net/bugs/496898
   * Account : Fields were missing in Account chart template form view
 * https://launchpad.net/bugs/502065
   * Stock : Product Packaging field was missing domain
 * https://launchpad.net/bugs/351167
 * https://launchpad.net/bugs/459196
   * Account : Partner Ledger Report formatting problem solved
 * https://launchpad.net/bugs/465010
   * Stock : Notification Message made translatable
 * https://launchpad.net/bugs/491892
   * Reconcilation problem corrected when foreign currency rate changes
 * https://launchpad.net/bugs/504781
   * Project : Task delegation was calling write() wrongly
 * https://launchpad.net/bugs/494245
   * Services product included on BOM now creates a task on Project
 * https://launchpad.net/bugs/475135
   * Account : Warning message was missing _ import
 * https://launchpad.net/bugs/467880
   * MRP : Procurement can only be confirmed when qty>0.0
 * https://launchpad.net/bugs/401801
   * Sale/Purchase : Worfklow instance had to ve removed while setting record's workflow back to draft state
 * https://launchpad.net/bugs/449583
   * Sale : Better error message when account is missing from SOL for Invioce
 * https://launchpad.net/bugs/439041
   * Report_project :wrong average of closing days counting
 * https://launchpad.net/bugs/517018
 * https://launchpad.net/bugs/487641
   * Purchase : MOQ-pricing problem corrected
 * https://launchpad.net/bugs/500062
   * Account : On Confirming the statement, Moves shoould have the bank statement line date
 * https://launchpad.net/bugs/525229
   * call fields_view_get with not specify the context raise an exception on product with stock module installed
 * https://launchpad.net/bugs/441609
   * Account : Fiscal Position Template was missing a requireed field in form view
 * https://launchpad.net/bugs/483723
   * CRM : Case form view priority issue resolved
 * https://launchpad.net/bugs/440734
   * Stock : Picking did not have 'type' field on display(inconsistent behavior from eTiny,koo) to work upon domain.
 * https://launchpad.net/bugs/419720
   * Sale : Delivery Date delay computation made corrected when days are passed with fractions
 * https://launchpad.net/bugs/439208
   * Hr_timesheet : Allowing user to enter Analytic Journal if not linked with employee(Working hours tree view)
 * https://launchpad.net/bugs/379118
   * Stock : Partial Picking wizard was making the back order reference jump to 2 numbers,notification given on packing done.
 * https://launchpad.net/bugs/526930
   * Account : act_link added for better options of viewing move lines from partner
   * Account : act_link from partners for account entries should contain only receivable/payable accounts
 * https://launchpad.net/bugs/526417
   * Sale_delivery_report : Report corrected
 * https://launchpad.net/bugs/450180
   * Hr_timesheet_invoice : Wrong domain was sent for opening invoices created
 * https://launchpad.net/bugs/446391
   * Base_report_creator : Allowing to use current userid
 * https://launchpad.net/bugs/519225
 * https://launchpad.net/bugs/522011
   * fix a problem of 0 amount entries
 * https://launchpad.net/bugs/505697
   * Account : Analytic check report should consider expenses are debits
 * https://launchpad.net/bugs/519220
   * Weight on Picking has to be calculated from the Moves
 * https://launchpad.net/bugs/519433
   * Sale : Invoice from packing should pass proper notes to invoice
 * https://launchpad.net/bugs/500078
 * https://launchpad.net/bugs/527151
   * CRM_configuration : Menu action for all Unassigned opportunities had wrong domain
 * https://launchpad.net/bugs/486783
   * Point_of_sale : Report for Reciept corrected
 * https://launchpad.net/bugs/503894
   * Base_report_crearor :Models with _inherits made working
 * https://launchpad.net/bugs/371681
   * Residual amount was calculated wrongly when invoice had payment term lines
 * https://launchpad.net/bugs/454536
   * Warning : Onchange Methods were malfunctioned.Corrected and made messages available for translations
 * https://launchpad.net/bugs/504670
   * Functional fields should have context as an argument when we use fnct_searc method
 * https://launchpad.net/bugs/507094
 * https://launchpad.net/bugs/396637
   * account_analytic_analysis : Analytic account functional field methods corrected.
   * Account : Analytic account functional field methods corrected.
 * https://launchpad.net/bugs/495948
   * Corrected language code for Slovenian and Danish locales and renamed corresponding PO files.
 * https://launchpad.net/bugs/470815
   * l10n_chart_uk_minimal : Demo account.tax.code needed negative sign
 * https://launchpad.net/bugs/513240
 * https://launchpad.net/bugs/421636
   * Account : Restricting Payment term lines percentage insertion from 0 to 1
 * https://launchpad.net/bugs/516636
   * Project_timesheet: Product_uom supplied to Analytic entries
 * https://launchpad.net/bugs/492211
   * MRP : procurement does not need cancel button when its Running
 * https://launchpad.net/bugs/401035
   * Audittrail : Assigned Access Rights to non-admin user.
 * https://launchpad.net/bugs/511198
 * https://launchpad.net/bugs/499120
   * Stock : While removing the picking,moves should not call picking's write()
 * https://launchpad.net/bugs/438690
   * Account : Accounts containing moves cannot be deleted
 * https://launchpad.net/bugs/490965
   * Sale : SO was getting stuck when invoice is cancelled and SOL is with product.
 * https://launchpad.net/bugs/446520
   * [account_followup] wrong sender for email
 * https://launchpad.net/bugs/528418
   * membership: all products are considered to be memberships
 * https://launchpad.net/bugs/522862
   * document: Fixed non-closed Cursor problem
 * https://launchpad.net/bugs/451310
 * https://launchpad.net/bugs/479747
 * https://launchpad.net/bugs/486794
   * Hr_holidays: Spell mistake corrected
 * https://launchpad.net/bugs/443132
   * Sale : Passing customer ref. of picking to invoice
 * https://launchpad.net/bugs/481372
   * Project : If company has no Project time unit,it would have crashed.
 * https://launchpad.net/bugs/476428
   * Stock : Partial Picking wizard was missing translation import statement
 * https://launchpad.net/bugs/500591
   * Account: Spell corrected in order to display separator on subscription wizard
   * Account: Creation of Moves to Subscription entries Corrected
 * https://launchpad.net/bugs/436174
   * Account: Supplier invoices was not taking product price on onchange of product
 * https://launchpad.net/bugs/488809
   * Sale : State was written wrongly
 * https://launchpad.net/bugs/490327
   * Reverted bad commit from Joel@CamptoCamp
 * https://launchpad.net/bugs/383057
   * Stock-MRP : Split production wizard made individual to mrp if mrp is not installed
 * https://launchpad.net/bugs/440711
   * Purchase : PO with different pricelists should not be merged
 * https://launchpad.net/bugs/516143
   * Base_report_designer : Latin-1 encoding replaced by utf-8
 * https://launchpad.net/bugs/525768
   * membership: now membership state not depends on current date
 * https://launchpad.net/bugs/513230
   * Product :Uom conversion was made 2 times
 * https://launchpad.net/bugs/522977
   * Fixed mrp to ensure that mrp_jit can trigger the procurement assignation properly. See bug 522977.
 * https://launchpad.net/bugs/510692
   * Account : Onchange of product should affect price on supplier invoice line
 * https://launchpad.net/bugs/458415
   * document_ics : solved accent problem
 * https://launchpad.net/bugs/428873
   * purchase: chain location does not work
 * https://launchpad.net/bugs/489355
   * account, invoice, sale: description (product sold, invoice line and account entry line) was not translated
 * https://launchpad.net/bugs/515590
 * https://launchpad.net/bugs/499645
   * Project_mrp: Better effect for service products creating tasks/projects
 * https://launchpad.net/bugs/466658
   * Account : Action window of anlytic entries was missing name
 * https://launchpad.net/bugs/510217
   * Added Missing import statements of translations( from tools.translate import _)
 * https://launchpad.net/bugs/460701
   * Document : Attachment with document can now be deleted
 * https://launchpad.net/bugs/498047
   * Account_tax_include : Rounding corrections
 * https://launchpad.net/bugs/435160
   * [IMP] Correct write-off date, add analytic account, better interface between all way to reconcile
 * https://launchpad.net/bugs/458553
   * Account : Onchange of amount/base amount of Invocie tax corrected
 * https://launchpad.net/bugs/446681
   * Account : Refund wuzard malfunctioned with modify invoice option
 * https://launchpad.net/bugs/493444
   * Account_analytic_default : Analytic Account value set from picking,sale
   * account_analytic_default: now it will make entry in anayltic account on invoice line when picking done
 * https://launchpad.net/bugs/395160
   * Project_timesheet : Analytic line creation/edition takes user based information
 * https://launchpad.net/bugs/425671
   * Stock : Moves offer onchange on UOM to affect UOS
 * https://launchpad.net/bugs/489083
   * Account :customer refund was displaying supplier invoice view, corrected
 * https://launchpad.net/bugs/499038
   * CRM_profiling : Segmentation form was missing one field
 * https://launchpad.net/bugs/496991
   * HR_Timesheet_sheet : timesheet cannot be deleted which have attendance entries encoded
 * https://launchpad.net/bugs/507638
   * Account : General Ledger report corrected for debit/credit if 0
 * https://launchpad.net/bugs/461801
   * Sale : Workflow behaviour fixed when order is set to draft
 * https://launchpad.net/bugs/516361
   * POS : for Invoice created from POS,Consistency should be maintained as SO.
 * https://launchpad.net/bugs/439027
   * MRP :Arguemnt of context was missing
 * https://launchpad.net/bugs/490342
   * Account : making the default_get() eTiny compatible
 * https://launchpad.net/bugs/504824
   * account: credit/debit/balance of consolidated accounts
 * https://launchpad.net/bugs/522632
   * Sale : Sale order list view should have sum attribute
 * https://launchpad.net/bugs/435178
   * [CRITICAL]subscription: crash subscription process
 * https://launchpad.net/bugs/522161
   * base_module_quality: speed_test
 * https://launchpad.net/bugs/487091
   * Stock :Invoice created from manual picking might miss UoS.
 * https://launchpad.net/bugs/379581
   * Base_report_creator: Export of custom reports made working
 * https://launchpad.net/bugs/479195
   * Base_vat : Romania VAT validation corrected
 * https://launchpad.net/bugs/436008
   * Sale: Passing Contact address for invoices from SO
 * https://launchpad.net/bugs/443069
   * Project: wrong domain for 'Tasks in Progress' menuitem
 * https://launchpad.net/bugs/518824
   * Project : 100% completed project should dislay proper message on Gantt chart,instead of getting failed
 * https://launchpad.net/bugs/471052
   * Product : Pricelist Item cannot use Main pricelist as the other pricelist
 * https://launchpad.net/bugs/458030
   * Account : Ledger Report Landscape report adjusted for A4.
 * https://launchpad.net/bugs/495933
   * Account : Made amount field of account.move searchable
 * https://launchpad.net/bugs/440248
   * Hr_timesheet_invoice : Line once invoiced,should not be invoiced again
 * https://launchpad.net/bugs/491241
   * Stock : Removal of picking shuold affect product stock
 * https://launchpad.net/bugs/510604
   * Account: Sequence and main seq. should be different
 * https://launchpad.net/bugs/436651
   * mrp : workcentre load report had a query malformed


Improvements (addons)
---------------------

 * Update Translations
 * Don't specify default value for dict, that return None if value doesn't exists
 * Account_payment: showing account feild on move line when importing invoice for payment
 * Account/base_iban : bank and iban displayed on list view of O2M to partner
 * MRP : BOM structure report should follow hierarchy.
 * event_project: change the string on event object all task to remaining task and put the domain on retro planning wizard(open only projects with state=template)
 * Account : Reference allocation to move/move.line improved
 * Launchpad export translation files
 * Added GNU licence
 * Unit Test cases for Sale
 * unit test in base quality module
 * MRP : mrp.routing.workcenter made deletable on cascade effect
 * Account : Entry Line action Name Improved
 * Stock : Improved names of Stock move tree view
 * account: make comment mandatory. Since it has a default value anyway, it doesn't reall y change anything, but makes the reconciliation UI looks consistent accross the whole OpenERP (eg invoice payment)
 * Add support of analytic account into bank statement to be convenient with other method
 * Add account field into bank statement line
 * better python2.5/2.6 compatibility handling
 * base_module_quality: styles on different tests
 * base_module_quality: modify all tests result display for buildpot, use class on tag instead of css file
 * base_module_quality: pylint test result display for buildpot, use class on tag instead of css file




2009-09-22: 5.0.6
=================

Bugfixes (server)
-----------------

 * https://launchpad.net/bugs/421904
   * Fields.function : Store value computation corrected
 * https://launchpad.net/bugs/407332
   * Price Accuracy : rounding made to be based on --price_accuracy option

Bugfixes (addons)
-----------------

 * Not linked to a bug report:
   * fixed an "unsupported operand type(s) for +: 'bool' and 'str'" error.
   * Sale_delivery_report : Delivery order report should take shipping address from picking itself
   * account: bugfixed the fiscalyear closing wizard:
   * Purchase_manual : certificate on terp displayed wrong value
 * https://launchpad.net/bugs/431864
   * hr_timesheet_sheet : casting correction for a view
 * https://launchpad.net/bugs/431871
   * Account : Move line creation was giving encoding error while automated entries were inserted,corrected
 * https://launchpad.net/bugs/433979
   * [CRITICAL]document: crash list of directory after rev:hmo@tinyerp.com-20090916110722-4kl5t5q71im6c76i
 * https://launchpad.net/bugs/407332
   * Account : Rounding problem based on price_accuracy
 * https://launchpad.net/bugs/419720
   * Sale : Delivery Date delay computation made corrected when days are passed with fractions
 * https://launchpad.net/bugs/423726
   * Sale : SO Boolean field picked behavior corrected
 * https://launchpad.net/bugs/431821
   * Account_followup : Sending email while sending follow up corrected.


Improvements (addons)
---------------------

 * purchase_manual: do not redefine view: add fields by inheritance...
 * purchase: improve views to be directly usable in portals...


2009-09-17: 5.0.5
=================

Bugfixes (server)
-----------------

 * Not linked to a bug report:
   * quality_integration_server: fixe problem on make link of extra-module in addons
   * quality_integration_server : quality log : reduce overwrite last test log in other test logs
   * base : ir_cron : take minimun next_call from database for job waiting. if database does not has any job, it will take 1 day for job waiting
   * quality_integration_server: get message from base_quality_module if module can not success to reach minimun score
   * regression in fields.function computation
   * better log error, new line
   * Report: context was missing while printing any report with header in a non-English Language
   * quality_integration_server: fixe problem on make link of extra-module in addons
 * https://launchpad.net/bugs/425131
   * Better translation exportation.
 * https://launchpad.net/bugs/379645
   * Print screen : Correction when text for report is already encoded
 * https://launchpad.net/bugs/421162
   * Send Mail : Unicode error handled
   * Send mail : Non-English characters were throwing error.
 * https://launchpad.net/bugs/421137
   * Base : 'Supplier Partners' menu will open new record with supplier=1,customer=0
 * https://launchpad.net/bugs/425430
   * Export : Error solved while Exporting O2M records with None value of any field
 * https://launchpad.net/bugs/399208
   * Translation issue with cache: it needed to restart server,SOLVED
 * https://launchpad.net/bugs/422563
   * Security Loophole corrected


Improvements (server)
---------------------

 * quality_integration_server: make link of extra-addons module in addons module automatic on install-module command
 * quality_integration_server: get message from base_quality_module if module can not success to reach minimun score
 * Rng : Accepting Groups under/after/replacing Buttons
 * quality_integration_server : quality html log
 * quality_integration_server: put max_limit in server connection
 * Base : Rate for ARS Added
 * cchange version number


Bugfixes (addons)
-----------------

 * Not linked to a bug report:
   * Purchase_manual : certificate on terp displayed wrong value
   * fix the problem of message depending on the partner language
   * fix a problem for the overdue payment message
   * fix problem to get the detault message
   * #416908 computation of invoice lines
   * Project : Taks hours computed accurately.
   * base_module_record: avoid duplications
   * document: do not try to index binary documents
   * +1 on the lengthmonth returns was too much, removed it
   * Problem when using hr_holidays Summary Report when entering date 1 jan 2009 for example.
   * multi currency reconciliations on bank statements weren't properly displayed
   * multi currency payments weren't correctly computed on invoice's residual amount
   * Project_gtd : Demo data defined for tasks(inboxes)
   * Module:product Added report tag for product pricelist reportso that it can be modified using OODesigner
   * Document : error on create if attachment not specified
 * https://launchpad.net/bugs/422401
   * project_gtd : timebox field re-arranged
 * https://launchpad.net/bugs/421907
   * Account : Aged Partner Balance report for Future analysis corrected
 * https://launchpad.net/bugs/427388
   * Project : task work behavior towards task hours corrected
 * https://launchpad.net/bugs/422408
   * Project_gtd : Hierarchical timeboxes allowed to open
 * https://launchpad.net/bugs/403972
   * Account : Reports from Chart of Accounts were not considering contextual value of MOVE(draft,posted)
 * https://launchpad.net/bugs/430577
   * Sale : Order Lines switches view from tree,form and view
 * https://launchpad.net/bugs/425257
   * Project_gtd : improved menuitems names to avoid user confusion,domain improved
 * https://launchpad.net/bugs/422078
   * Account_tax_include : floatdivision error corrected
 * https://launchpad.net/bugs/423585
 * https://launchpad.net/bugs/423581
 * https://launchpad.net/bugs/416807
   * report_document : Dashboard should not display partner with no files
 * https://launchpad.net/bugs/430522
 * https://launchpad.net/bugs/424214
   * Account :Residual amount unclear when used with partial payments.
 * https://launchpad.net/bugs/424177
   * hr_timesheet_sheet : Rounding value problem in float_time widget
 * https://launchpad.net/bugs/415056
 * https://launchpad.net/bugs/421636
   * added tooltip on tax and payment term
 * https://launchpad.net/bugs/407290
 * https://launchpad.net/bugs/407293
   * Account : Making account.invoice.tax field language-depenant from account.tax
 * https://launchpad.net/bugs/430043
   * Hr_timesheet_invoice : Query calculation corrected
 * https://launchpad.net/bugs/379645
   * Base_report_creator : Print screen report is now available for custom reports
 * https://launchpad.net/bugs/423260
   * Account : Title of of Move Line widnows renamed
 * https://launchpad.net/bugs/427982
   * hr_timesheet_invoice : Invoicing analytic entries wizard corrected for product
 * https://launchpad.net/bugs/426243
   * Account : Context was missing in report
 * https://launchpad.net/bugs/426831
   * l10n_ch : default_value() of res.partner.bank corrected
 * https://launchpad.net/bugs/430098
   * Hr_holidays : Workflow actions validations corrected
 * https://launchpad.net/bugs/430516
 * https://launchpad.net/bugs/379191
   * its better to aply the patch
   * fix the problem for related fields, related fields act as a many2one fields
 * https://launchpad.net/bugs/429203
   * CRM : Mailgate script used default uid=3 instead of 1
 * https://launchpad.net/bugs/399817
   * Fixed Partial deliveries problem


Improvements (addons)
---------------------

 * Invoice Supplier Control per line/manual
 * add missing file for the followup date
 * changed interval CRM calls to 4 hours instead of one -> efficient connection pooling with cron
 * add inherited view for company
 * add new filed to company object which will store the mesages
 * add new data file which will add over due payment message to company
 * Account : Analytic Account report following parental relationship approach(account with all its children
 * hr_timesheet_invoice : Misleading string on invoice analytic entries' wizard
 * base_module_quality: remove certificate tag from terp test
 * report_dcoument : changed the misleading name of action


2009-08-28: 5.0.4
=================

Bugfixes (server)
-----------------

 * Not linked to a bug report:
   * no traceback when access denied
   * Security fix
   * remove bad translation files (bad name)
   * Pagecount problem while all objects print on same page and printing special character on xsl report
 * https://launchpad.net/bugs/415973
   * import: support "<rel_field>:db_id" , better warning message
 * https://launchpad.net/bugs/415391
   * Functional fields with M2O relation can be printed on print screen now
 * https://launchpad.net/bugs/415334
   * ir_cron :function and its arguements are now editable


Improvements (server)
---------------------

 * replace partner name and address in demo
 * add translation names
 * update translations files
 * new translations


Bugfixes (addons)
-----------------

 * Not linked to a bug report:
   * Document : error on create if attachment not specified
   * report_dcoument : changed the misleading name of action
   * point_of_sale: fixed a wrong domain
   * sale: bad indentation
 * https://launchpad.net/bugs/416807
   * report_document : Dashboard should not display partner with no files
 * https://launchpad.net/bugs/401110
   * Audittrail : Logs set in descending order
 * https://launchpad.net/bugs/418541
   * Project : Delegated tasks from O2M didnt have project_id
 * https://launchpad.net/bugs/416767
   * Account_tax_include : onchange of product on invoice line price type issue


Improvements (addons)
---------------------

 * update translations
 * base_module_quality: make minimal score for all test, add message if the score is below limit,varible for whether to activate the test or not
 * process view node now links to parent document directory if no record selected.
 * purchase: Merge purchases wizard: added keyword='client_action_multi'
 * Auction : improved code
 * Auction : improved auction reports
 * Age Partner Balance report executed 7 queries per partner, reduced this a total of 7 queries in total.


2009-08-21: 5.0.3
=================

Bugfixes (server)
-----------------

 * Not linked to a bug report:
   * set_alarm: removed unwanted comment
   * report engine: context argument was passed at a wrong position. Now it's passed as a named argument.
   * fields_get check access aginst write or create access
   * Not allowing only white spaces text to be printed
   * sequences: avoid an sql error when locking table...
   * report engine: fixed a bug when the xml tag is empty
   * bin/workflow: 'stack' variable was not initialized when sql query returned an empty set.
   * security issue: avoid access to inactive users
   * security issue: avoid access with 'None' password (Thanks to P. Christeas for the bug report)
   * avoid a bug when look in stack when translate code strings
 * https://launchpad.net/bugs/415257
   * import of boolean fields in csv files.
 * https://launchpad.net/bugs/415014
   * correct translation tgz archive creation
 * https://launchpad.net/bugs/362280
 * https://launchpad.net/bugs/416883
   * Print screen unicode-decode error solved
 * https://launchpad.net/bugs/400378
   * partner address search
 * https://launchpad.net/bugs/415972
   * do not get next sequence in its own cursor
 * https://launchpad.net/bugs/413484
   * Print Screen :  was not considering field names with superscripted,subscripted characters(ex.m²)
 * https://launchpad.net/bugs/406945
   * import of boolean fields in csv files.
 * https://launchpad.net/bugs/413586
   * bug in cache system that altered some arguments passed to cached function
 * https://launchpad.net/bugs/413594
   * logger: convert the message in unicode before concatenate it with server environment
 * https://launchpad.net/bugs/348217
   * Secure option on config file


Improvements (server)
---------------------

 * Makefile and quality_integration_server module for Integration server
 * Speed impprovement: 2x faster for flow: sale -> invoice -> payment
 * Speed improvement in creation of records (4 time faster on partners)


Bugfixes (addons)
-----------------

 * Not linked to a bug report:
   * Purchase :copy method was not setting stock moves to be null for PO lines
   * Module:account Fix keyerror in general_ledger report
   * Access rules stock / worker
   * mrp: fr_FR.po file had a duplicate message definition
 * https://launchpad.net/bugs/413699
 * https://launchpad.net/bugs/415014
   * report_task: regenerate translations files
 * https://launchpad.net/bugs/397100
   * improving commit on report
 * https://launchpad.net/bugs/416296
   * Base_setup : Country passed in  values only if filled
 * https://launchpad.net/bugs/415218
   * report_task : report_task_user_pipeline_open was having no uniqueness


Improvements (addons)
---------------------

 * POS: improved the point_of_sale receipt



2009-08-12: 5.0.2
=================

Bugfixes (server)
-----------------

 * Not Linked to a bug report:
   * ensure sys is imported
   * pass the context to check method of 'ir.model.access'
   * increase size of field "name" of ir.model.data
   * Corrected bug of expression calculation in previous commit
   * sql expression: in search, add the time part to datetime field when it's not present
   * setup.py: py2exe now adds 'zoneinfo' directory in library.zip
   * Importation problem corrected for unicode.
   * missing Import
   * tools.amount_to_text_en: now displays cents
   * size miss match for page and frame
   * removed report etree warning of len
   * security on wokflows bugfixed. The security has to be checked using the current uid, not the one that created the workflow instance!
   * export window : use context for import compatable option in pass argument instend of added new argemenent
   * py2exe: pytz on win32: 'zoneinfo' directory now included in library.zip
   * module installation through -i module -d db --without-demo option corrected
   * loading module sequence while creating new database
   * Expression calculation(Query making) corrected for Translateable field
   * CSV Export : null values handled
   * sxw and odt reports
   * Fixed odt2odt reports printing
   * module:base made name field translatable in action.server (ref:mga)
   * supply password problem with pg_dump, pg_restore on win32
   * User with blank password(if so) allowed to log in.
   * avoid required parameters rule (domain_force)
   * Fixed oldxml at  python2.6 for Ubuntu 8.0.4,9.04
   * fix missing tail process and skip unnecessary whitespace characters
   * ir_attachment preview method corrected
   * launch signal after action in workflows
   * Added PageCount tag in report engine
   * report engine, better spacings -> like preceeding version
   * fix &,<,> problem for html2html-url report
   * fix &,<,> problem for html2html report
   * xml: the tag <delete> delete also the reference to the deleted objects into ir_model_data
   * translation export: catch the case when a object does not exists in database
   * browse_record: raise a better exception when the id doesn't exists
   * Bugfix translations and float/int format in reports
   * Complete rng files
   * load the module graph even if it containt only "base"
   * remove base_setup (moving base_setup to server was a workaround)
   * expression: correct the generated sql in case of _inherits
   * the <delete> tag doesn't crash if the referenced id does not exists
   * closed file pointer
 * https://launchpad.net/bugs/380221
 * https://launchpad.net/bugs/403652
 * https://launchpad.net/bugs/369947
 * https://launchpad.net/bugs/371496
 * https://launchpad.net/bugs/371768
   * bad tooltip
 * https://launchpad.net/bugs/383938
   * Mass mailing wizard has a mail body now.
 * https://launchpad.net/bugs/409709
   * Error reporting : library error corrected
 * https://launchpad.net/bugs/394876
   * Import : context provided for language translation
 * https://launchpad.net/bugs/390167
   * Custom report : sorted X-axis values
 * https://launchpad.net/bugs/405921
   * Expression calculation for Datetime Corrected
 * https://launchpad.net/bugs/393858
   * ir_model_data : SQL_Constraint failure covered
 * https://launchpad.net/bugs/396955
   * disallow the deletion of records set as default properties
   * properties reset to default one correctly
 * https://launchpad.net/bugs/399685
   * Added sql_constraint on adding field having size<1
 * https://launchpad.net/bugs/385544
   * ir_translation : corrected entry insertion when adding translation
 * https://launchpad.net/bugs/392187
   * xml encoding in header for &.<.>
 * https://launchpad.net/bugs/310918
   * RuntimeError in the cache system
 * https://launchpad.net/bugs/362280
   * _inherits was misbehaving on search
 * https://launchpad.net/bugs/385299
   * Report Engine Regression
   * Report Engine regression
 * https://launchpad.net/bugs/407637
   * Print screen now displays the report as per WYSIWYG
 * https://launchpad.net/bugs/408550
   * default_xxx in context was passed to relational fields,corrected.
 * https://launchpad.net/bugs/385297
   * bug in report engine
 * https://launchpad.net/bugs/381204
   * Character Truncation problem on updation solved
 * https://launchpad.net/bugs/355491
   * CSV Import : Accepting 'Value' of selection field from[(key,value)]
 * https://launchpad.net/bugs/409343
   * Login : Login and password accepting accented characters
 * https://launchpad.net/bugs/376945
   * Translation : Text with prefix '_' from py files included for exports.
 * https://launchpad.net/bugs/385664
   * Account Module : Typo corrected
 * https://launchpad.net/bugs/405721
   * DB operations(backup,restore) process corrected,were blocked if db_port was supplied
 * https://launchpad.net/bugs/410186
 * https://launchpad.net/bugs/355493
   * SQL Constraint failure error on particular record while importing
 * https://launchpad.net/bugs/392052
   * Certificate in non-digit format will not be accepted
 * https://launchpad.net/bugs/357045
   * upgrade doesn't try to delete modules
 * https://launchpad.net/bugs/404733
   * ir_model : context key deletion
 * https://launchpad.net/bugs/386273
   * fields.related (m2o poiting to M2M/O2M should be skipped during write.
 * https://launchpad.net/bugs/406489
   * Accented characters are displayed on footer now
 * https://launchpad.net/bugs/409861
   * Context passed on copy()
 * https://launchpad.net/bugs/389795
   * Property : Removed old referenced values from property
 * https://launchpad.net/bugs/384959
   * ORM: Defult_field name in context belongs to curent object only, not to its relationals anymore
 * https://launchpad.net/bugs/399811
   * Print screen reports will behave acc. to locale for date,datetime
 * https://launchpad.net/bugs/357945
   * Export will consider float values as float and char as char
 * https://launchpad.net/bugs/406945
   * Importation problem for bool fields corrected
 * https://launchpad.net/bugs/382352
   * GIF image is previewed


Improvements (server)
---------------------

 * Logger notification improved
 * update po(t) files
 * new method that allow the server to return a message that will be display on login page
 * import/export : added Database ID, ID
 * attributes of barcode
 * ir_model_data: convert assert to sql constraint + exception
 * Added new function called get_environment which will return the current environment of the System on which user is using OpenERP
 * better error message
 * added style for the url which are as text
 * new method "exists" that verify that a given id exists in database (or in memory for osv_memory objects)
 * maintenance: complete the remarks with the database name
 * email_send: when debuging, output to the logger


Bugfixes (addons)
-----------------

 * Not linked to a bug report:
   * DMS directory not translatable + translations improvement
   * Project : Searching active=no was failing, corrected
   * problem with ncftp client
   * stock_move auto_init function override but not return super clas result
   * partner wasn't mandatory on sale_order, which lead to problems everywhere (stocks, shippings...) if a partner with sales was deleted. Added required=True on it to set the database field as 'not null'
   * Product : Pricelist report corrected for suitable columns
   * Stock : default value calculation corrected for stock move
   * product price was wrong when margin is not set
   * handle context when it equals None
   * Product : Pricelist report corrected
   * module:base_module_record fixed unicode string problem
   * state name modified for the method - close
   * explicit type cast for report.attendance
   * explicit type cast
   * module:account_voucher added confition for opening balance
   * document: set default address to '' instead of 'localhost'
   * fix ftp host address on Windows Vista
   * document: better ip address detection (especially on win32)
   * product: po file had duplicates
   * sale_crm: typo in module description
   * point_of_sale: if pickings are split because the sale order is not complete, invoices could not be created
   * sale, stock: wrong translation
   * point_of_sale: salesman_id: defaults to connected user
   * point_of_sale: partner should be copied when creating a refund
   * price unit calculation from context (web client issue).
   * file attachment bug in x_object
   * variants with extra on product list view
   * [point_of_sale] security was not set for config/default_journal menu and pos.config.journal object
   * fixed a bug when trying to search lines between 2 dates.
   * on very big data, the query was way too long to execute. Speed is now greatly improved.
   * point_of_sale: Sales of the day menu did not worked because the query did not matched any lines
   * account: create move lines with date provide in wizard (bug reported by Alexis Deméaulte)
   * Scheduler fix, introduced 5 days ago
   * Translated Absences by Leaves
   * multi-company modifs
   * Account : Taxes Report Corrected
   * Module: scrum,stock create task wizard in scrum and unreceived product wizard create new entry in stock
   * typo
   * general ledget report wizard (missing a field in view).
   * soldeinit problem
   * point_of_sale (receipt report): User and Date was lost
   * changed size of receipt to fit cash register
   * point_of_sale: invoice report should use the account.invoice object
   * base_module_record: avoid a crash when calling a method with less than 6 arguments
   * point_of_sale
   * hr_holidays: wrong character in po files
   * event: wrong character in po files
   * work order orders
   * stock value computation
   * analytic account on advance invoices
   * Analytic Analysis Stats
   * layout of general ledger landscape
   * bugfix in lot assignation on moves, bad signature
   * hr_timesheet_invoice module : account_analytic_profit report sxw file--author-name= vra
   * hr_timesheet_invoice module : account_analytic_profit report --author-name= vra
   * crm rule : watcher email
   * fix bug on crm rule to put proper wacher email
   * Bug of referencing variable on split in production lot
   * new cases should be created with the 'draft' state.
   * account_balance Module : Fix the Total problem and Put Indentation in Reports.C
   * onchange of product_id on stock move corrected
   * correct display of pyflakes result quality module
 * https://launchpad.net/bugs/310458
   * Simplify Migrations
 * https://launchpad.net/bugs/382641
   * _get_stock corrected
 * https://launchpad.net/bugs/382000
   * remove except block from try..finally whioch is not supported in python2.4
 * https://launchpad.net/bugs/379767
   * Base_report_creator :Corrected Add filter wizard(ref:ACH)
 * https://launchpad.net/bugs/373203
 * https://launchpad.net/bugs/388346
   * l10n_ch module : Improved Code.
   * l10n_ch : corrected default_value method
 * https://launchpad.net/bugs/399485
   * point_of_sale : Pikcing display partner made from POS order.
 * https://launchpad.net/bugs/388438
   * Report_task : Corrected malfunctioned .po files
 * https://launchpad.net/bugs/380480
 * https://launchpad.net/bugs/386297
   * purchase module : order report.
   * Purchase: Corrected report and translation
 * https://launchpad.net/bugs/356922
   * Base_vat : VAT validation for Portugal,Bulgaria
 * https://launchpad.net/bugs/397100
   * Acccount,Account_invoice_layout : Minor necessary changes.
 * https://launchpad.net/bugs/388347
   * account_payment module : payment order report.
   * account_payment : report corrected
 * https://launchpad.net/bugs/407241
   * sum() in query was returning null,corrected
 * https://launchpad.net/bugs/387006
   * Stock : context for address field on picking corrected
 * https://launchpad.net/bugs/364010
   * base_vat :sweden vat validation corrected
 * https://launchpad.net/bugs/393798
   * hr_timesheet_sheet : date interval corrected for attendances
 * https://launchpad.net/bugs/409337
 * https://launchpad.net/bugs/387029
   * Account : Correction of search method arguements of account.analytic.line
 * https://launchpad.net/bugs/394277
   * Purchase,Product :description of POL made widen,partner_ref changes
 * https://launchpad.net/bugs/394275
   * Account : Charts of accounts - Tax reports corected
   * Account : Charts of accounts - target move options corrected
 * https://launchpad.net/bugs/404155
   * point_of_sale :Partner info available for move line from POS,only draft/cancelled POS lines can be deleted
 * https://launchpad.net/bugs/399824
   * Sale : Weight field for SOL displayed
 * https://launchpad.net/bugs/393824
   * report_task : .po files corrected
 * https://launchpad.net/bugs/394640
   * Sale : sale order report corrected for translation
 * https://launchpad.net/bugs/386513
   * Purchase : stock moves assigned to purchase line
 * https://launchpad.net/bugs/358302
   * Account : Corrected bank journal code creation from template
 * https://launchpad.net/bugs/402263
   * Account : Invoice Lines will not be grouped if there are different maturity dates
 * https://launchpad.net/bugs/394436
   * Project : Xml record corrected for view
 * https://launchpad.net/bugs/398805
 * https://launchpad.net/bugs/338329
   * availability of prodlot check when assigning a prodlot to a move: non optimal location_id control
 * https://launchpad.net/bugs/391673
   * Account :'note' field on Fiscal position,added on invoice report
 * https://launchpad.net/bugs/391106
   * Process : Corrected xml record
 * https://launchpad.net/bugs/405891
   * Module:purchase corrected delay time in picking
 * https://launchpad.net/bugs/389540
   * Account : Added Configuration wizard to make overdue payment report message configurable on company
 * https://launchpad.net/bugs/400210
   * Stock : partial packign wizard values made translated
 * https://launchpad.net/bugs/377614
 * https://launchpad.net/bugs/406827
   * CRM : Mailgate script improved to have as much information on History.
 * https://launchpad.net/bugs/404975
   * document : create doc of any resource model with black name
 * https://launchpad.net/bugs/401184
   * module base_module_record Fixed when object has _rec_name
 * https://launchpad.net/bugs/399642
 * https://launchpad.net/bugs/393756
   * Sale : Removed unused code
 * https://launchpad.net/bugs/400326
   * document : if name/dirname does not has value, dirname will be display like <objectname><id>
   * document : use '=' operator instend of 'like' on serach directory nodes into DMS
 * https://launchpad.net/bugs/383940
   * Document : Logging enabled for abstracted_fs
 * https://launchpad.net/bugs/403964
   * STock : Locations structure wizard improved
   * Stock: Location analysis wizard improved,date replaced by datetime field on wizard
 * https://launchpad.net/bugs/385664
   * Account Module : Typo corrected
 * https://launchpad.net/bugs/380473
 * https://launchpad.net/bugs/376804
   * account_analytic_analysis : Months sorted
 * https://launchpad.net/bugs/393840
   * Account_tax_include corrected to resolve conflict with account_invoice_layout
 * https://launchpad.net/bugs/405441
   * delivery : context passed on picking form view
 * https://launchpad.net/bugs/388901
   * Product : Onchange on pricelist item corrected
 * https://launchpad.net/bugs/395173
   * Account : Corrected journal check on move line creation
 * https://launchpad.net/bugs/388404
   * report_crm,document_ics,account : Access Rules assigned
   * Report_timesheet : Access rules
 * https://launchpad.net/bugs/396254
   * Account : Cancelled invoice will not be listed under unpaid state
 * https://launchpad.net/bugs/404142
   * point_of_sale :Partner info available for move line from POS,only draft/cancelled POS lines can be deleted
 * https://launchpad.net/bugs/410779
   * Document : made uninstallable
 * https://launchpad.net/bugs/411469
   * Wiki : Made uninstallable
 * https://launchpad.net/bugs/394733
 * https://launchpad.net/bugs/400093
   * stock : Stock Valuation Entries Don't Adjust with UoM
 * https://launchpad.net/bugs/395046
   * Product : Corrected template view
 * https://launchpad.net/bugs/407327
   * CRM : Due to rules, duplicate watcher(CC) ids were entered.
 * https://launchpad.net/bugs/389015
   * Project : Copy Method corrected
 * https://launchpad.net/bugs/411329
   * module:mrp added on_change on bom_id for selecting routing


Improvements (addons)
---------------------

 * update po(t) files
 * Module:account Api changes def _refund_cleanup_lines(self, lines): added cr,uid arguments
 * pyflakes test display result improve on base_module_quality
 * crm: allow to put case description in action mail
 * Account : Move line form view from MOVE shows date for better user readability
 * mrp: pep8
 * use inheritance instead of wrapping when changing behavior of services
 * Module:Purchase Api change in inv_line_create added cr,uid parameters
 * Improved views
 * base_module_quality : gives warning to the user if pylint or pyflakes not installed
 * stock: wizard_invoice_onshipping.py: pep8
 * add base_module_quality module
 * Sale : state name display corected
 * Directory structure is translated to the users preference language in FTP Client
 * reformated the wizard message
 * account: invoice view: hide some fields to non employee users (portal i.e.)
 * account_voucher : report voucher.
 * mrp module : bom_structure.
 * account module : Analytic reports.
 * stock module : picking report.
 * mrp Module : Production order report.
 * account module : Tax Report.
 * stock Module : reports.
 * sale_delivery_report Module : Report Changes.
 * event_certificate module : for Certificate report.
 * purchase Module : order report and revert Changes : sale order Report.
 * purchase,sale : order report.
 * stock module : report improvement.
 * stock,purchase module : report improvement.
 * account_balance module : Improved Landscape report.
 * account_balance Module : Report changes.
 * account_balance Module : Minor report Change.
 * account_balance Module : Modified reports.
 * point_of_sale: receipt report: better date formatting
 * point_of_sale: receipt report: Salesman instead of User
 * module:stock improved views
 * improved translations for crm_configuration



2009-05-26: 5.0.1
=================

TODO

2009-02-12: 5.0.0-3
===================

TODO

2009-02-08: 5.0.0-2
===================

TODO

2009-02-06: 5.0.0
=================

TODO

2009-01-03: 5.0.0-rc3
=====================

TODO

2008-12-22: 5.0.0-rc2
=====================

TODO

2008-12-01: 5.0.0-rc1.1
=======================

TODO

2008-11-28: 5.0.0-rc1
=====================

TODO

2008-11-03: 5.0.0-alpha
=======================

TODO

